Name:           librime
Version:        0.9.9
Release:        1%{?dist}
Summary:        Rime Input Method Engine
License:        GPL-3.0+
Group:          System Environment/Libraries
Url:            http://code.google.com/p/rimeime/
Source:         http://rimeime.googlecode.com/files/%{name}-%{version}.tar.gz
Patch0:		librime-test.patch
Patch1:		librime-dictionary.patch

BuildRequires:  boost-devel >= 1.46
BuildRequires:  cmake >= 2.8
BuildRequires:  glog-devel
BuildRequires:  gtest-devel
BuildRequires:  kyotocabinet-devel
BuildRequires:  opencc-devel
BuildRequires:  yaml-cpp-devel >= 0.5
BuildRequires:  zlib-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Rime is an Traditional Chinese input method engine.
Its idea comes from ancient Chinese brush and carving art.
Mainly it's about to express your thinking with your keystrokes.

%package devel
Summary:        Development files of Rime
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Rime is an Traditional Chinese input method engine.
Its idea comes from ancient Chinese brush and carving art.
Mainly it's about to express your thinking with your keystrokes.

This package is the development headers of Rime.

%prep
%setup -q -n %{name}
#sed -i "s/1.46.0/1.36.0/" CMakeLists.txt
%patch0 -p1
%patch1 -p1

%build
mkdir -pv build
pushd build
cmake -DCMAKE_INSTALL_PREFIX=%{_prefix} -DLIB_INSTALL_DIR=%{_libdir} ..
make %{?_smp_mflags}

%install
pushd build
make DESTDIR=%{buildroot} install

%post -n %{name} -p /sbin/ldconfig
%postun -n %{name} -p /sbin/ldconfig

%files -n %{name}
%defattr(-,root,root)
%doc LICENSE README
%{_bindir}/rime_deployer
%{_bindir}/rime_dict_manager
%{_libdir}/%{name}.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/rime_api.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/rime.pc
%{_datadir}/cmake/rime/

%changelog
* Mon Aug 19 2013 Easior Lars <easior@Arcadia> - 0.9.9-1
- - support for shape-based and phonetic-based input methods, including those for Chinese dialects
  - a selected dictionary in traditional Chinese, powered by opencc for simplified Chinese output
  - a lightweight and extensible input method framework to create your innovative input schema in YAML syntax
  - cross-platform core library in C++, built on top of open-source technologies
  - OS-specific wrappers working consistently for Windows, Linux and Mac OS

* Sat Jan 12 2013 Easior Lars <easior@fedoraproject.org> - 18-1
- Initial build.
